<?php

/**
 * ClearLIFE javascript helper.
 *
 * @category   Apps
 * @package    ClearLIFE
 * @subpackage Controllers
 * @author     Your name <your@e-mail>
 * @copyright  2013 Your name / Company
 * @license    Your license
 */

///////////////////////////////////////////////////////////////////////////////
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
//
///////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////
// B O O T S T R A P
///////////////////////////////////////////////////////////////////////////////

$bootstrap = getenv('CLEAROS_BOOTSTRAP') ? getenv('CLEAROS_BOOTSTRAP') : '/usr/clearos/framework/shared';
require_once $bootstrap . '/bootstrap.php';

///////////////////////////////////////////////////////////////////////////////
// T R A N S L A T I O N S
///////////////////////////////////////////////////////////////////////////////

clearos_load_language('base');
clearos_load_language('clearlife');

///////////////////////////////////////////////////////////////////////////////
// J A V A S C R I P T
///////////////////////////////////////////////////////////////////////////////

header('Content-Type:application/x-javascript');
?>

var qr_code_loaded = false;


$(document).ready(function() {
    $('#clearlife_not_running').hide();
    $('#clearlife_not_running_warning_status').hide();
    $('#clearlife_not_running_applications').hide();
    $('#clearlife_reload_page_message').hide();
    $('.node_not_ready_yet').show();
    
    clearosGetClearLifeStatus();
});


// Functions
//----------

function clearosGetClearLifeStatus() {
    $.ajax({
        url: '/app/clearlife/server/full_status?qr_code_loaded='+qr_code_loaded,
        method: 'GET',
        dataType: 'json',
        success : function(payload) {
            handleClearLifeRes(payload);
            window.setTimeout(clearosGetClearLifeStatus, 5000);
        },
        error: function (XMLHttpRequest, textStatus, errorThrown) {
            window.setTimeout(clearosGetClearLifeStatus, 5000);
        }
    });
}

function handleClearLifeRes(payload) {
    if (payload.status == 'running') {
        $('#clearlife_not_running').hide();
        $('#clearlife_applications').show();
        $('#clearlife_reload_page_message').show();
        
        $('#clearlife_not_running_warning').hide();
        $('#clearlife_not_running_warning_status').hide();

        if (!payload.did) {

            if (payload.qr_image) {
                $('#clearlife_qr_code_display').show();
                $("#clearlife_qr_img").attr('src', "data:image/png;base64, "+payload.qr_image);
                window.qr_code_loaded = true;
            
            }

            $('#clearlife_node_ready').hide();
            $('#node_not_ready_yet_applications').show();
            $('#clearlife_applications').hide();

        } else {
            $('#clearlife_node_ready').show();
            $('#clearlife_qr_code_display').hide();
        }

        if (payload.is_node_synced) {
            //$('#clearlife_qr_code_display').hide();
            $('#node_not_ready_yet').hide();
            $('#node_not_ready_yet_applications').hide();
            $('#clearlife_node_ready').show();
            $('#clearlife_applications').show();

        } else {
            $('#clearlife_applications').hide();
            $('#node_not_ready_yet_applications').show();
        }

    } else {
        window.qr_code_loaded = false;
        $('#clearlife_not_running').show();
        $('#node_not_ready_yet_applications').show();
        $('#clearlife_not_running_warning_status').show();
        $('#clearlife_qr_code_display').hide();
        $('#clearlife_node_ready').hide();
        $('#clearlife_applications').hide();
        $('#clearlife_reload_page_message').hide();
    }

}
