<?php

/**
 * ClearLIFE applications view.
 *
 * @category   apps
 * @package    clearlife
 * @subpackage views
 * @author     ClearFoundation <developer@clearfoundation.com>
 * @copyright  2003-2021 ClearFoundation
 * @license    http://www.gnu.org/copyleft/lgpl.html GNU Lesser General Public License version 3 or later
 * @link       http://www.clearfoundation.com/docs/developer/apps/clearlife/
 */

///////////////////////////////////////////////////////////////////////////////
// Load dependencies
///////////////////////////////////////////////////////////////////////////////

$this->lang->load('clearlife');

echo "<div id='clearlife_not_running_warning_status' style='display:none;'>";
echo infobox_warning(lang('base_warning'), lang("clearlife_app_server_not_running"));
echo "</div>";

if ($applications_status_stop == TRUE ) {
    echo "<div id='clearlife_reload_page_message' style='display:none;'>";
    echo infobox_warning(lang('clearlife_app_name'), lang('clearlife_app_reload_page'));
    echo "</div>";

}

///////////////////////////////////////////////////////////////////////////////
// Form
///////////////////////////////////////////////////////////////////////////////


$anchors = array();
$headers = array(lang('clearlife_app_applications_name'), lang('clearlife_app_applications_developer'), lang('clearlife_app_applications_did'));
$items = array();
$options = array();

foreach ($applications as $key => $app) {

    $item['title'] = $app->name;
    $item['action'] = NULL;
    $item['anchors'] = NULL;
    $item['details'] = array(
        $app->name,
        $app->developer,
        $app->did,
    );

    $items[] = $item;
}

echo "<div id='clearlife_applications' style='display:none;'>";
echo summary_table(
    lang('clearlife_app_applications_button'),
    $anchors,
    $headers,
    $items
);

echo "</div>";

echo "<div id='node_not_ready_yet_applications' style='display:none;'>";
echo infobox_warning(lang('base_warning'), lang('clearlife_app_node_not_synchronized'));
echo "</div>";