<?php

/**
 * ClearLIFE QR code view.
 *
 * @category   apps
 * @package    clearlife
 * @subpackage views
 * @author     ClearFoundation <developer@clearfoundation.com>
 * @copyright  2003-2021 ClearFoundation
 * @license    http://www.gnu.org/copyleft/lgpl.html GNU Lesser General Public License version 3 or later
 * @link       http://www.clearfoundation.com/docs/developer/apps/clearlife/
 */

///////////////////////////////////////////////////////////////////////////////
// Load dependencies
///////////////////////////////////////////////////////////////////////////////

$this->lang->load('clearlife');

///////////////////////////////////////////////////////////////////////////////
// Form
///////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////
// Show warning if clearlifed is not running
///////////////////////////////////////////////////////////////////////////////

echo "<div id='clearlife_not_running' style='display:none;'>";
echo infobox_warning(lang('base_warning'), lang('clearlife_app_server_not_running'));
echo "</div>";

echo infobox_highlight(lang('clearlife_app_name'), lang('clearlife_app_infobox'));

/*$anchors = array(
    anchor_custom(
        '/app/clearlife/',
        lang('clearlife_app_connect_button'),
        'high',
        array('id' => 'connect_link')
    ), 
    anchor_custom(
        '/app/clearlife/applications/', 
        lang('clearlife_app_applications_button'), 
        'high', 
        array('id' => 'apps_link_btn', 'disabled' => 'disabled')
    )
);*/
$anchors = array();

$headers = array();
$items = array();
$options = array();

$qr_string = '';

$qr_string .= "
<div id='openldap_directory_object'>
<table style='margin: 30px 20px 50px 20px'>
<tr>
    <td style='width: 220px'><img id='clearlife_qr_img' src='' alt='qrcode' width='200' height='200'><br><br></td>
    <td>
        <p>" . lang('clearlife_app_connect_info') . "</p>
    </td>
</tr>
</table>
</div>
";

/*echo summary_table(
'Connect',
$anchors,
$headers,
$items,
$options
);*/

echo box_open(lang('clearlife_app_connect_button'), field_button_set($anchors));

echo "<div id='clearlife_qr_code_display' style='display:none;'>";

echo $qr_string;

echo "</div>";

echo "<div id='clearlife_node_ready' style='display:none;'>";
echo "<p>Your node is connected now.</p>";
echo "</div>";

echo "<div id='node_not_ready_yet' style='display:none;'>";
echo "<p>Your node is not synchronized yet.</p>";
echo "</div>";

echo box_close();
